Cyberduck Mountain Duck CLI

#2332 closed enhancement (worksforme)

Make it quicker to connect to SFTP servers with a public key

Reported by: bugmail@planetgk.de Owned by: dkocher
Priority: low Milestone: 3.3
Component: sftp Version: 3.0.1
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description (last modified by dkocher)

I'm using public-key auth when using SFTP/ssh and I'm connecting to lots of different hostnames (that I don't want to create bookmarks for). In the “Open Connection” dialog I now have to click on More Options>Check the “use public key” checkbox then select the public key file I want to use. Every time I connect. Quite laborious.

So, it would be great If cyberduck could to one or all of the following:

  1. default to the behaviour of commandline ssh and try public key auth first (with a default location of ~/.ssh/id_rsa where, incidentally, the key lies that I now have to select every time) and then prompt for a password if necessary
  2. remember the public key choice I did last time i connected
  3. have a preference in General>Connection that allows me to select a default public key (similar to the default login)

That would greatly ease a workflow across multiple SFTP-machines with public key.

Change History (5)

comment:1 Changed on Jul 16, 2008 at 5:25:40 PM by dkocher

  • Component changed from core to sftp
  • Description modified (diff)

comment:2 Changed on Aug 15, 2008 at 8:29:59 PM by dkocher

  • Milestone 3.1 deleted
  • Priority changed from normal to low

I agree the default public key to try first would be a convenient feature. However, note that creating a bookmark of the opened connection will save the reference to the public key used.

comment:3 Changed on Aug 15, 2008 at 8:30:24 PM by dkocher

Also, since 3.0.2 one can select a public key from the login prompt.

comment:4 Changed on Nov 9, 2009 at 4:40:55 PM by dkocher

  • Milestone set to 3.3
  • Resolution set to worksforme
  • Status changed from new to closed

I think this enhancement has been resolved by reading the OpenSSH configuration from ~/.ssh/config.

comment:5 Changed on Nov 9, 2009 at 4:41:14 PM by dkocher

See also #152.

Note: See TracTickets for help on using tickets.